Win8 - Add-Module

Archived support forum for customers who once purchased a PrimalForms product license. This forum is locked.
User avatar
coreyhynes
Posts: 9
Joined: Wed Jan 06, 2010 11:39 pm

Win8 - Add-Module

Post by coreyhynes »

I did some testing on Win8. This is what I get. This happens on any add-module that is in a form. If you export the form code to powershell ISE and run the script directly, it works fine. This would seem to indicate the PrimarlForms environment is responsible somehow. Clearly Win8 is not a supported platform as yet, but I would like to being building some tools around the new powershell capabilities, so wanted to raise this error and see if a workaround was possible.

>> Debugging (Test.pff) Script...
>> Platform: 64Bit (STA) (Elevated)
ERROR: Import-Module : The 'C:Windowssystem32WindowsPowerShellv1.0ModulesHyper-VHyper-V.psd1' module cannot be imported because its manifest contains one or mo
ERROR: re members that are not valid. The valid manifest members are ('ModuleToProcess', 'NestedModules', 'GUID', 'Author', 'CompanyName', 'Copyright', 'ModuleVersion
ERROR: ', 'Description', 'PowerShellVersion', 'PowerShellHostName', 'PowerShellHostVersion', 'CLRVersion', 'DotNetFrameworkVersion', 'ProcessorArchitecture', 'Require
ERROR: dModules', 'TypesToProcess', 'FormatsToProcess', 'ScriptsToProcess', 'PrivateData', 'RequiredAssemblies', 'ModuleList', 'FileList', 'FunctionsToExport', 'Varia
ERROR: blesToExport', 'AliasesToExport', 'CmdletsToExport'). Remove the members that are not valid ('HelpInfoUri'), then try to import the module again.
ERROR:
Test.pff (24): ERROR: At Line: 24 char: 15
ERROR: + Import-Module <<<< Hyper-V
ERROR: + CategoryInfo : InvalidData: (C:Windowssyst...-VHyper-V.psd1:String) [Import-Module], InvalidOperationException
ERROR: + FullyQualifiedErrorId : Modules_InvalidManifestMember,Microsoft.PowerShell.Commands.ImportModuleCommand
ERROR:

User avatar
davidc
Posts: 5913
Joined: Thu Aug 18, 2011 4:56 am

Win8 - Add-Module

Post by davidc »



PrimalForms
2011 has not been tested for Windows 8 and there may be compatibility issues. We
will be working on PowerShell v3 compatibility very soon. David

David
SAPIEN Technologies, Inc.